org.apache.cassandra.cql.hooks

## Class ExecutionContext

- java.lang.Object
- - org.apache.cassandra.cql.hooks.ExecutionContext

-     public class ExecutionContext
      extends java.lang.Object

  Contextual information about the execution of a CQLStatement. Used by `PreExecutionHook` The CQL string representing the statement being executed is optional and is not present for prepared statements. Contexts created for the execution of regular (i.e. non-prepared) statements will always contain a CQL string.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `ThriftClientState` | `clientState`
    `com.google.common.base.Optional<java.lang.String>` | `queryString`
    `java.util.List<java.nio.ByteBuffer>` | `variables`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecutionContext(ThriftClientState clientState, java.lang.String queryString, java.util.List<java.nio.ByteBuffer> variables)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### clientState

          public final ThriftClientState clientState

    - #### queryString

          public final com.google.common.base.Optional<java.lang.String> queryString

    - #### variables

          public final java.util.List<java.nio.ByteBuffer> variables

  - ### Constructor Detail

    - #### ExecutionContext

          public ExecutionContext(ThriftClientState clientState,
                          java.lang.String queryString,
                          java.util.List<java.nio.ByteBuffer> variables)

Copyright © 2014 The Apache Software Foundation